/* Global */
@import url('https://fonts.googleapis.com/css2?family=Martian+Mono:wght@100..800&display=swap');

body {
  font-family: "Martian Mono", monospace;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
  font-variation-settings: "wdth" 100;
  padding: 0;
  margin: 0;
}

/* Main Elements */

.main {
    transition: background-image .5s ease-in-out;
    background-image: url("https://upload.wikimedia.org/wikipedia/commons/3/36/Large_bonfire.jpg");
    width: 100vw;
    height: 100vh;
    background-size: cover;
    padding: 0.5em;
    margin: 0;
    display: block;
    position: fixed;
    color: whitesmoke;
}

.header-right h3 {
    display: inline-block;
    padding-left: 0.5em;
}

.main a {
    color: whitesmoke;
    text-decoration: none;
    font-weight: lighter;
}

/* Window */
.window {
    width: 62.5vw;
    height: 62.5vh;
    background-color: rgba(25, 9, 70, 0.9);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    padding: 0.5em;
    border-radius: 1.5em;
    overflow: scroll;
}

.window h1 {
    text-align: center;
}

.window a {
    font-weight: bold;
    border: solid whitesmoke 0.25em;
    display: block;
    text-align: center;
    width: 50%;
    padding: 1em;
    position: relative;
    left: 25%;
    margin-bottom: 0.5em;
}

.window a:hover {
    font-weight: bold;
    border: solid whitesmoke 0.25em;
    display: block;
    text-align: center;
    width: 50%;
    padding: 1em;
    position: relative;
    left: 25%;
    color: rgba(16, 3, 51, 0.75);
    background-color: whitesmoke;
}

.window-sub-left {
    text-align: left;
    display: flexbox;
    float: left;
    width:50%;
}

.window-sub-left a, .window-sub-right a, .window-sub-left a:hover, .window-sub-right a:hover {
    width: 75%;
    left: 12.5%;
}

.window-sub-left img, .window-sub-left video {
    width: auto;
    height: 75%;
    text-align: center;
    position: relative;
    left: 25%;
}

.window-sub-right {
    text-align: right;
    display: flexbox;
    float: right;
    width:50%;
}

.window-sub-right img, .window-sub-right video, .window-sub-right iframe {
    width: 100%;
    height: 80%;
    object-fit: cover;
    text-align: center;
    position: relative;
}

/* Footer */
.footer {
    background-color: rgba(16, 3, 51, 0.75);
    bottom: 0%;
    left: 0;
    position: absolute;
    width: 100vw;
    padding-left: 1em;
    padding-bottom: 0.75em;
}

/* Heading */
.header {
    background-color: rgba(16, 3, 51, 0.75);
    top: 0%;
    left: 0;
    position: absolute;
    width: 100vw;
    padding-left: 0.5em;
}

.header-right {
    display: flexbox;
    padding-right: 2em;
    float: right;
    text-align: right;
}

.header-left {
    display: flexbox;
    padding-left: 1em;
    float: left;
    text-align: right;
}

/* Cosmetic */
.minitext {
    font-size: 62.5%;
    font-weight: light;
    text-align: center;
    font-style: italic;
}